Module jdk.jdi
Package com.sun.jdi

## Interface ClassObjectReference

All Superinterfaces:
  `Mirror`, `ObjectReference`, `Value`

    public interface ClassObjectReference
    extends ObjectReference

An instance of java.lang.Class from the target VM. Use this interface to access type information for the class, array, or interface that this object reflects.

Since:
  1.3
See Also:
  `ReferenceType`

### Field Summary

### Fields declared in interface com.sun.jdi.ObjectReference

`INVOKE_NONVIRTUAL, INVOKE_SINGLE_THREADED`

### Method Summary

All Methods Instance Methods Abstract Methods
`ReferenceType` `reflectedType()` Returns the `ReferenceType` corresponding to this class object.

### Methods declared in interface com.sun.jdi.Mirror

`toString, virtualMachine`

### Methods declared in interface com.sun.jdi.ObjectReference

`disableCollection, enableCollection, entryCount, equals, getValue, getValues, hashCode, invokeMethod, isCollected, owningThread, referenceType, referringObjects, setValue, uniqueID, waitingThreads`

### Methods declared in interface com.sun.jdi.Value

`type`

### Method Detail

#### reflectedType

    ReferenceType reflectedType()

Returns the `ReferenceType` corresponding to this class object. The returned type can be used to obtain detailed information about the class.

Returns:
  the `ReferenceType` reflected by this class object.